% Método de Gauss sin pivote
function A=gauss(A)
n=length(A(:,1));                                  % Número de filas
for i=1:n
  %[m,im]=max(A(i:n,i));                            % mayor elemento (y su posición) de la columna i, entre i y m 
  %Pivote=im+(i-1);                                 % Fila que contiene el mayor elemento
  %A([i,Pivote],:)=A([Pivote,i],:);                 % Intercambiamos la fila i con la el pivote
  if A(i,i)==0                                     % Si aparece un cero en la diagonal, terminamos
    break
  end
  A(i,:)=A(i,:)/A(i,i);                            % Dividimos la fila i para que haya un 1 en la diagonal
  A((i+1):n,:)=A((i+1):n,:)-A((i+1):n,i)*A(i,:);   % Hacemos 0 en la columna i por debajo de la diagonal
end