% Recibe una matriz ampliada de un sistema, con la matriz del sistema triangular superior y devuelve la solución
function sol=soltri(A) 

n=length(A(:,1)); % Número de filas
sol=zeros(1,n); % Inicializamos el vector que contendrá las soluciones
for i=n:-1:1  % Calculamos las soluciones comenzando por la última variable
  sol(i)=A(i,n+1)-sum(A(i,(i+1):n).*sol((i+1):n)); % Despejamos una variable en función de las que ya conocemos
end