% Recibe una matriz de un sistema triangular inferior y b el vector de términos independientes y devuelve la solución
function sol=soltril(A,b) 

n=length(A(:,1)); % Número de filas
sol=zeros(1,n); % Inicializamos el vector que contendrá las soluciones
for i=1:n  % Calculamos las soluciones comenzando por la última variable
  sol(i)=(b(i)-sum(A(i,1:(i-1)).*sol(1:(i-1))))/A(i,i); % Despejamos una variable en función de las que ya conocemos
end